Bug 1280103 - Failed to mount /sysroot: mount.nfs: Failed to resolve server live: Name or service not known
Failed to mount /sysroot: mount.nfs: Failed to resolve server live: Name or s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 18:17 EST by Antony Messerli
Modified: 2016-12-20 10:39 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:39:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antony Messerli 2015-11-10 18:17:05 EST
Description of problem:

Attempting to boot a live booted Fedora 23 over http location or torrent file fails after the rootfs has been retrieved successfully:

[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
[FAILED] Failed to mount /sysroot.
See 'systemctl status sysroot.mount' for details.
[DEPEND] Dependency failed for Initrd Root File System.
[DEPEND] Dependency failed for Reload Configuration from the Real Root.
[  OK  ] Stopped dracut pre-pivot and cleanup hook.

:/# systemctl status sysroot.mount -l
● sysroot.mount - /sysroot
   Loaded: loaded (/proc/cmdline)
   Active: failed (Result: exit-code) since Tue 2015-11-10 22:54:27 UTC; 1min 56s ago
    Where: /sysroot
     What: live:http://hostname/rootfs.img
     Docs: man:fstab(5)
           man:systemd-fstab-generator(8)
  Process: 900 ExecMount=/usr/bin/mount live:http://hostname/rootfs.img /sysroot -o ro (code=exited, status=32)

Nov 10 22:54:27 hostname systemd[1]: Mounting /sysroot...
Nov 10 22:54:27 hostname mount[900]: mount.nfs: Failed to resolve server live: Name or service not known
Nov 10 22:54:27 hostname systemd[1]: sysroot.mount: Mount process exited, code=exited status=32
Nov 10 22:54:27 hostname systemd[1]: Failed to mount /sysroot.
Nov 10 22:54:27 hostname systemd[1]: sysroot.mount: Unit entered failed state.
Warning: sysroot.mount changed on disk. Run 'systemctl daemon-reload' to reload units.
 
Version-Release number of selected component (if applicable):

Fedora 23 updated as of Nov 10, 2015

How reproducible:

Should be fairly reproducible using liveboot over http

Steps to Reproduce:

Using pxe, boot the vmlinuz, initrd with the following options kernel params.

root=live:http://hostname/rootfs.img rootflags="" ip=10.24.104.40::10.24.104.1:255.255.252.0:hostname:ens9f1:none nameserver=8.8.8.8 nomodeset rd.live.debug=1 rd.writable.fsimg rd.shell enforcing=1 modprobe.blacklist=mei_me console=ttyS4,115200n8 8250.nr_uarts=5

Actual results:

Failure after rootfs has been downloaded, OS is unable to boot into RAM from there.

Expected results:

Should boot image from live http or torrent successfully.  This is has been working great in Fedora 22.

Additional info:

Similar issue, but not sure if it takes into affect live booted over http/torrent, looks like F23 has dracut-043:

https://bugs.freedesktop.org/show_bug.cgi?id=90913#c5
Comment 1 Jóhann B. Guðmundsson 2015-11-11 04:29:59 EST
Moving to correct component.
Comment 2 Antony Messerli 2015-11-11 10:17:16 EST
Another previously resolved issue that appears related for more context:

https://bugzilla.redhat.com/show_bug.cgi?id=1229665
Comment 3 Harald Hoyer 2015-11-11 10:57:33 EST
No, this was caused by a patch for systemd-fstab-generator.

So, the proper solution for this is to add a systemd generator for the livenet dracut module to handle the root=live:<URL> case.

Similar to:
https://github.com/haraldh/dracut/commit/2c66c3bccf1ff0c3307de471a4816dbc30880b76
Comment 4 Antony Messerli 2015-11-19 09:19:22 EST
I made a pull request towards dracut master here:

https://github.com/haraldh/dracut/pull/105

This seems to allow live booted URLs to work again.  This patch uses systemd's generator arg[2] to generate an early sysroot.mount that preempts systemd-fstab-generator similiar to the dmsquash-generator.  I'm not sure if that's the exact approach you're looking for but I have verified it does work and generates the early sysroot.mount for systemd.
Comment 5 Antony Messerli 2015-11-20 10:47:12 EST
Thanks for the merge, is this something we could get backported into F23?
Comment 6 Harald Hoyer 2015-11-23 04:27:31 EST
yeah, will do, thanks!
Comment 7 Antony Messerli 2016-01-08 16:37:01 EST
Hey Harald, has this been backported into F23 yet?  Thanks!
Comment 8 Fedora End Of Life 2016-11-24 08:17:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:39:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.